<?php
/*
Plugin Name: Поддержка Яндекс.Спеллер API
Plugin URI: http://thexnews.com/yandex-speller.html
Description: Добавляет проверку правописания через <a href="http://api.yandex.ru/speller/">Яндекс.Спеллер</a> в встроенный редактор Wordpress.
Author: Dmitry
Version: 0.1
Author URI: http://thexnews.com/
*/ 

function yandex_spellcheck( $init ) {
  if (strpos($init['plugins'],",spellchecker") === false)
    {$init['plugins']=$init['plugins'].",spellchecker";}

  if (strpos($init['theme_advanced_buttons1'],",spellchecker") === false)
    {$init['theme_advanced_buttons1']=$init['theme_advanced_buttons1'].",spellchecker";}

  $init['spellchecker_languages']="+Russian=ru,Ukrainian=uk,English=en";

  $init['spellchecker_rpc_url']="/wp-content/plugins/api-yandex-speller/rpc_proxy.php";

  return $init;
}

add_filter('tiny_mce_before_init', 'yandex_spellcheck');
?>